Subject: Re: [bitcoin-dev] PSA: Taproot loss of quantum protections

From: Matt Corallo <[email-masked]>
Date: Tue, 16 Mar 2021 13:25:40 -0400

On 3/15/21 23:44, Luke Dashjr wrote:
> (To reiterate: I do not intend any of this as a NACK of Taproot.)

Frankly, then why parrot arguments you don't agree with in an already-tense discussion? I'm really not sure what there 
is to gain by dredging up years-old since-settled debates except to cause yet more delay and frustration.

> On Monday 15 March 2021 22:05:45 Matt Corallo wrote:
>>> First, so long as we have hash-based addresses as a best practice, we can
>>> continue to shrink the percentage of bitcoins affected through social
>>> efforts discouraging address use. If the standard loses the hash, the
>>> situation cannot be improved, and will indeed only get worse.
>>
>> I truly wish this were the case, but we've been beating that drum for at
>> least nine years and still haven't solved it.
> 
> I think we've made progress over those 9 years, don't you?

Some, sure, but not anywhere near the amount of progress we'd need to make to have an impact on QC security of the 
overall system.

>> Except its not? One entity would be able to steal that entire block of
>> supply rather quickly (presumably over the course of a few days, at
>> maximum), instead of a slow process with significant upfront real-world
>> cost in the form of electricity.
> 
> My understanding is that at least initial successes would likely be very slow.
> Hopefully we would have a permanent solution before it got too out of hand.

There is a lot of debate on this point in the original thread which discussed this several years ago. But even if it 
were the case, it still doesn't make "let QC owners steal coins" somehow equivalent to mining. There are probably 
several blocks of coins that can be stolen to the tune of much greater rewards than a block reward, but, more broadly, 
what?! QC owners stealing coins from old outputs isn't somehow going to be seen as "OK", not to mention because many old 
outputs do have owners with the keys, they aren't all forgotten or lost.

Matt